Subject: [6lo] 6LoWPAN ND host attaching to RPL router <was: RE: [Roll] multicast & MLD on LLN>

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 16 Oct 2014 17:11:19 +0000

Hello Don:

<note, I moved to 6lo>

> What would be really nice is if we could have non-RPL aware end devices also in the network but I think that is another topic :-)
Yes, it is. The 6TiSCH architecture requires that we make that work and we produced http://tools.ietf.org/html/draft-thubert-6lo-rfc6775-update-reqs to promote that work. Would you be willing to help there to make sure all your requirements are covered?

Cheers,

Pascal

From: Roll [mailto:[email-masked]] On Behalf Of Don Sturek
Sent: mercredi 15 octobre 2014 18:58
To: Routing Over Low power and Lossy networks
Cc: IJsbrand Wijnands (iwijnand)
Subject: Re: [Roll] multicast & MLD on LLN

Hi Pascal,

Let me try to provide a use case.

The network is a Neighborhood Area Network.  The application can be something like street lights or a smart metering AMI (really any collection of devices that are networked centrally with a non-trivial number of devices in the network)

Here are some details:
1)   Around 5000 devices in the network total.  There can be as many as 15 hops from the DODAG to the furthest leaf node in the network.
2)  One border router that supports ROLL RPL.  All devices in the network are ROLL RPL aware (some as routers, some end devices).  What would be really nice is if we could have non-RPL aware end devices also in the network but I think that is another topic :-)
3)  We support all of the mandatory multicast groups (eg all routers) in our networked devices
4)  From an application point of view, we want to use special application-defined multicast groups for things like:
       A.    Control a geographic collection of street lights (like all the ones in an area where there is to be a festival this evening)
       B.    Control a geographically  diverse collection of devices that are not the entire population (for example, I want a message sent to all of my pre-pay customers which are mainly focused in some neighborhoods, less in others)
5)  I don't want to incur the MPL overhead of all multicast traffic flooding all 5000 devices/forwarded up to 15 hops in my network when I send these special multicast group messages.

What would be great in the above scenario is if the multicast traffic only traversed the portions of the network where members of the multicast group exist (eg, don't forward down portions of the tree where there are no multicast members).  MPL as a flooding mechanism fails this goal (which is fine with relatively few devices but not so when talking about 5000 devices/24 hops!

Is the above good enough to start a discussion on how to solve the problem?

Don

From: "Pascal Thubert (pthubert)" <[email-masked]<mailto:[email-masked]>>
Reply-To: Routing Over Low power and Lossy networks <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, October 15, 2014 9:38 AM
To: Routing Over Low power and Lossy networks <[email-masked]<mailto:[email-masked]>>
Cc: "IJsbrand Wijnands (iwijnand)" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Roll] multicast & MLD on LLN

Hello Kerry:

Or Roll Multicast Operations ( : ROLLMOps? : )

Basically, BIER needs a preexisting tree structure and RPL is designed to build and maintain one. They need a root node and we have one.
On paper it is a perfect match. Now the question is whether there is enough need for that work, and then we'll find a place to make it happen.

To start with, would you have a specific use case of multicast in LLNs where MPL is less applicable than the classical tree-based forwarding?

With that, we could connect into the BIER effort.

Strong points:
- very limited state in the nodes, could even be used for unicast, independent on the number of groups and the size of the network
- bit aggregation easy to advertise in existing DAOs, low cost there too
- transparent support for v4 and v6 (since it is an overlay)

Weak points:
- extra encapsulation (since it is an overlay)
- new routing and forwarding operation to implement in the nodes (bitwise)
- limited number of nodes per DODAG (roughly 100).

Cheers,

Pascal

From: Roll [mailto:[email-masked]] On Behalf Of Kerry Lynn
Sent: mercredi 15 octobre 2014 18:25
To: Routing Over Low power and Lossy networks
Cc: IJsbrand Wijnands (iwijnand)
Subject: Re: [Roll] multicast & MLD on LLN

On Wed, Oct 15, 2014 at 12:00 PM, Pascal Thubert (pthubert) <[email-masked]<mailto:[email-masked]>> wrote:
Or form a new group :)

What about Routing Over Complete Kaos?

More seriously, it's probably a good idea to goto through the BoF sequence again to analyze what's left to be done.
I can certainly see an analog of what the 6lo is to 6LoWPAN, but for ROLL.

For me the first question is whether multicast in the LLN would be RPL-
dependent, or have RPL-like features (e.g. dependence on a DODAG).
That could argue for doing the work in ROLL or a follow on group
(ROLLMAN?)

At least some of the 6lo proposals (MS/TP comes to mind) are not mesh
networks, but still constrained from a host and bandwidth perspective.

I like the topology-independence of MPL, but I think work still needs to be
done to see how far it is from optimal (in terms of energy and bandwidth
usage) under different operating conditions and parameter settings.

-K-

Cheers,

Pascal

_______________________________________________ Roll mailing list [email-masked]<mailto:[email-masked]> https://www.ietf.org/mailman/listinfo/roll